/* Variables */
:root {
    --primary: #15803d;
    --primary-dark: #166534;
    --secondary: #16a34a;
    --secondary-light: #dcfce7;
    --primart-text: #0f1419;
    --secondary-text: #536471;

    --primary-blue: #2563eb;
    --primary-blue-dark: #1e40af;
    --secondary-blue: #3b82f6;
    --secondary-blue-light: #bfdbfe;
}

/* Primary button */
.btn-primary {
    background-color: var(--primary);
}

.btn-primary:hover {
    background-color: var(--secondary);
}

.btn-primary:active {
    background-color: var(--primary-dark);
}

.btn-primary:focus {
    --tw-ring-color: var(--secondary-light);
}

/* Blue button */
.btn-blue {
    background-color: var(--primary-blue);
}

.btn-blue:hover {
    background-color: var(--secondary-blue);
}

.btn-blue:active {
    background-color: var(--primary-blue-dark);
}

.btn-blue:focus {
    --tw-ring-color: var(--secondary-blue-light);
}

/* Field input */
.field-input:focus {
    border-color: #a5b4fc;
    --tw-ring-color: #e0e7ff;
}

/* Field checkbox */
.field-checkbox {
    color: var(--primary)
}

.field-checkbox:focus {
    border-color: var(--primary);
    --tw-ring-color: var(--secondary-light);
}

/*
* HOME
*/

.bg-gradient {
    background: #38a169;
    /* fallback for old browsers */
    background: -webkit-linear-gradient(to right, #38a169, #3fb074, #3fb074, #38a169);
    /* Chrome 10-25, Safari 5.1-6 */
    background: linear-gradient(to right, #38a169, #3fb074, #3fb074, #38a169);
    /* W3C, IE 10+/ Edge, Firefox 16+, Chrome 26+, Opera 12+, Safari 7+ */
}

.bg-gradient-base {
    background-color: #38a169;
}

/* Payment selector */

.paymentSelectorContainer {
    position: relative;
    z-index: 1;
    display: grid;
    grid-auto-flow: column;
    grid-auto-columns: max-content;
    gap: 40px;
    margin: 0px auto;
}

.paymentSelectorContainer::before {
    content: "";
    position: absolute;
    --spacer: 10px;
    bottom: var(--spacer);
    left: var(--spacer);
    right: var(--spacer);
    z-index: -1;
    height: 10px;
    background-color: rgb(110, 231, 183);
}

.paymentSelectorItem {
    outline: none;
    border: 0px;
    background: none;
    cursor: pointer;
    display: flex;
    flex-direction: column-reverse;
    -webkit-box-align: center;
    align-items: center;
    -webkit-box-pack: center;
    justify-content: center;
    text-align: center;
    padding: 4px;
}

.paymentSelectorActiveItem {
    flex: 0 0 auto;
    display: flex;
    -webkit-box-align: center;
    align-items: center;
    -webkit-box-pack: center;
    justify-content: center;
    width: 24px;
    height: 24px;
    background-color: rgb(5, 150, 105);
    border-radius: 50%;
}

.paymentSelectorActiveItem::before {
    content: "";
    width: 12px;
    height: 12px;
    background-color: rgb(255, 255, 255);
    border-radius: 50%;
    transform: scale(1);
    transition: transform 0.2s ease-out 0s;
}

.paymentSelectorActiveItemContent {
    display: flex;
    -webkit-box-align: center;
    align-items: center;
    text-align: left;
    transition: color 0.2s ease-out 0s;
}

.paymentSelectorActiveItemContent svg {
    flex: 0 0 auto;
    width: 28px;
    margin: 0px 0px 14px;
    transition: color 0.2s ease-out 0s;
}

.paymentSelectorActiveItemContent > div {
    /* display: block; */
}

.paymentSelectorTitle {
    line-height: 1.5;
    font-size: 16px;
    text-decoration: none;
    font-weight: 700;
}

.paymentSelectorNotActiveItem {
    flex: 0 0 auto;
    display: flex;
    -webkit-box-align: center;
    align-items: center;
    -webkit-box-pack: center;
    justify-content: center;
    width: 24px;
    height: 24px;
    background-color: rgb(5, 150, 105);
    border-radius: 50%;
}

.paymentSelectorNotActiveItem::before {
    content: "";
    width: 12px;
    height: 12px;
    background-color: rgb(5, 150, 105);
    border-radius: 50%;
    transform: scale(1);
    transition: transform 0.2s ease-out 0s;
}

.paymentSelectorItemContent {
    display: flex;
    -webkit-box-align: center;
    align-items: center;
    color: rgb(102, 102, 102);
    text-align: left;
    transition: color 0.2s ease-out 0s;
}

.paymentSelectorItemContent > div {
    /* display: block; */
}

.paymentSelectorItemContent svg {
    flex: 0 0 auto;
    width: 28px;
    margin: 0px 0px 14px;
    color: rgb(0, 21, 95);
    transition: color 0.2s ease-out 0s;
}

.paymentSelectorTitle {
    line-height: 1.5;
    font-size: 16px;
    text-decoration: none;
    font-weight: 700;
}

@media screen and (min-width: 992px) {
    .paymentSelectorContainer {
        grid-auto-flow: unset;
        grid-auto-columns: unset;
        grid-template-columns: 1fr;
        gap: 22px;
        margin: 0px;
    }

    .paymentSelectorContainer::before {
        --spacer: 7px;
        top: var(--spacer);
        bottom: var(--spacer);
        right: auto;
        height: auto;
        width: 10px;
    }

    .paymentSelectorItem {
        flex-direction: row;
        -webkit-box-pack: start;
        justify-content: flex-start;
        padding: 4px 0px;
    }

    .paymentSelectorActiveItem {
        margin-right: 20px;
    }

    .paymentSelectorActiveItemContent svg {
        margin: 0px 0px 14px;
    }

    .paymentSelectorActiveItemContent > div {
        /* display: none; */
    }

    .paymentSelectorItemContent > div {
        /* display: none; */
    }

    .paymentSelectorNotActiveItem {
        margin-right: 20px;
    }
}

/*
 * DASHBOARD
 */

#sidebar::-webkit-scrollbar-track
{
    -webkit-box-shadow: inset 0 0 6px rgba(0,0,0,0.3);
    background-color: #F5F5F5;
}

#sidebar::-webkit-scrollbar {
    width: 8px;
    background-color: #F5F5F5;
}

#sidebar::-webkit-scrollbar-thumb
{
    border-radius: 10px;
    -webkit-box-shadow: inset 0 0 6px rgba(0,0,0,.3);
    background-color: #D1D0CE;
}

#sidebar::-webkit-scrollbar-thumb:hover
{
    background-color: #B6B6B4;
}

.select2-container .select2-choice {
    top: 4px;
    padding: 5px 10px;
    height: 41px;
    width: 100%;
    font-size: 1em;
    --tw-shadow: 0 1px 2px 0 rgba(0, 0, 0, 0.05);
    border-color: rgba(209, 213, 219, var(--tw-border-opacity))
}

.select2-container .select2-choice .select2-arrow {
    border-color: rgba(209, 213, 219, var(--tw-border-opacity))
}

.select2-container .select2-choice .select2-arrow b {
    background: url(https://cdnjs.cloudflare.com/ajax/libs/select2/3.5.3/select2.png) no-repeat 0 6px;
}
